Bug 2156108 - [abrt] ibus: XFree(): ibus-x11 killed by SIGABRT
Summary: [abrt] ibus: XFree(): ibus-x11 killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 38
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0385d31cccb3ffe2c784112a5c2...
: 2174962 2179015 (view as bug list)
Depends On:
Blocks: F38FinalBlocker, FinalBlocker F38FinalFreezeException, FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2022-12-23 23:08 UTC by Mikhail
Modified: 2023-03-20 00:16 UTC (History)
6 users (show)

Fixed In Version: ibus-1.5.28-2.fc38 ibus-1.5.28-3.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-03-20 00:16:13 UTC
Type: ---


Attachments (Terms of Use)
File: proc_pid_status (1.39 KB, text/plain)
2022-12-23 23:08 UTC, Mikhail
no flags Details
File: maps (3.94 KB, text/plain)
2022-12-23 23:08 UTC, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2022-12-23 23:08 UTC, Mikhail
no flags Details
File: environ (1.25 KB, text/plain)
2022-12-23 23:08 UTC, Mikhail
no flags Details
File: open_fds (1.18 KB, text/plain)
2022-12-23 23:08 UTC, Mikhail
no flags Details
File: mountinfo (3.41 KB, text/plain)
2022-12-23 23:08 UTC, Mikhail
no flags Details
File: os_info (770 bytes, text/plain)
2022-12-23 23:08 UTC, Mikhail
no flags Details
File: cpuinfo (2.96 KB, text/plain)
2022-12-23 23:08 UTC, Mikhail
no flags Details
File: core_backtrace (13.36 KB, text/plain)
2022-12-23 23:08 UTC, Mikhail
no flags Details
File: dso_list (269 bytes, text/plain)
2022-12-23 23:08 UTC, Mikhail
no flags Details
File: var_log_messages (103 bytes, text/plain)
2022-12-23 23:08 UTC, Mikhail
no flags Details
File: backtrace (109.50 KB, text/plain)
2022-12-23 23:08 UTC, Mikhail
no flags Details
File: backtrace (37.35 KB, text/plain)
2023-02-03 22:43 UTC, romulasry
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github ibus ibus issues 2484 0 None open SIGABRT in ibus-x11 causing Emacs to hang 2023-03-17 19:16:49 UTC

Description Mikhail 2022-12-23 23:08:29 UTC
Version-Release number of selected component:
ibus-1.5.27-8.fc38

Additional info:
reporter:       libreport-2.17.6
type:           CCpp
reason:         ibus-x11 killed by SIGABRT
journald_cursor: s=32500b5f39e6467e9ccddd56700852eb;i=43e8f3;b=f22e26d260164e228db6c4bc7b4ef7db;m=869ce7646;t=5f017821d96fc;x=29a8c76b08f7f956
executable:     /usr/libexec/ibus-x11
cmdline:        /usr/libexec/ibus-x11
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.SettingsDaemon.XSettings.service
rootdir:        /
uid:            1000
kernel:         6.1.0-65.fc38.x86_64+debug
package:        ibus-1.5.27-8.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: XFree

Truncated backtrace:
Thread no. 1 (19 frames)
 #8 XFree at /usr/src/debug/libX11-1.8.1-2.fc38.x86_64/src/XlibInt.c:1633
 #9 ProcessQueue at ../../util/IMdkit/i18nPtHdr.c:1762
 #10 _Xi18nMessageHandler at ../../util/IMdkit/i18nPtHdr.c:1923
 #11 WaitXIMProtocol at ../../util/IMdkit/i18nX.c:524
 #12 _gdk_x11_display_queue_events at ../gdk/x11/gdkeventsource.c:337
 #13 gdk_display_get_event at ../gdk/gdkdisplay.c:442
 #14 gdk_event_source_dispatch.lto_priv at ../gdk/x11/gdkeventsource.c:354
 #17 g_main_context_iterate.constprop.0 at ../glib/gmain.c:4238
 #18 g_main_context_iteration at ../glib/gmain.c:4303
 #19 xim_forward_event.constprop.0 at /usr/src/debug/ibus-1.5.27-8.fc38.x86_64/client/x11/main.c:631
 #20 ForwardEventMessageProc at ../../util/IMdkit/i18nPtHdr.c:1224
 #21 ProcessQueue at ../../util/IMdkit/i18nPtHdr.c:1758
 #22 _Xi18nMessageHandler at ../../util/IMdkit/i18nPtHdr.c:1923
 #23 WaitXIMProtocol at ../../util/IMdkit/i18nX.c:524
 #24 _gdk_x11_display_queue_events at ../gdk/x11/gdkeventsource.c:337
 #25 gdk_display_get_event at ../gdk/gdkdisplay.c:442
 #26 gdk_event_source_dispatch.lto_priv at ../gdk/x11/gdkeventsource.c:354
 #29 g_main_context_iterate.constprop.0 at ../glib/gmain.c:4238
 #31 ibus_main at /usr/src/debug/ibus-1.5.27-8.fc38.x86_64/src/ibusshare.c:325

Comment 1 Mikhail 2022-12-23 23:08:33 UTC
Created attachment 1934325 [details]
File: proc_pid_status

Comment 2 Mikhail 2022-12-23 23:08:34 UTC
Created attachment 1934326 [details]
File: maps

Comment 3 Mikhail 2022-12-23 23:08:35 UTC
Created attachment 1934327 [details]
File: limits

Comment 4 Mikhail 2022-12-23 23:08:37 UTC
Created attachment 1934328 [details]
File: environ

Comment 5 Mikhail 2022-12-23 23:08:38 UTC
Created attachment 1934329 [details]
File: open_fds

Comment 6 Mikhail 2022-12-23 23:08:40 UTC
Created attachment 1934330 [details]
File: mountinfo

Comment 7 Mikhail 2022-12-23 23:08:41 UTC
Created attachment 1934331 [details]
File: os_info

Comment 8 Mikhail 2022-12-23 23:08:42 UTC
Created attachment 1934332 [details]
File: cpuinfo

Comment 9 Mikhail 2022-12-23 23:08:44 UTC
Created attachment 1934333 [details]
File: core_backtrace

Comment 10 Mikhail 2022-12-23 23:08:45 UTC
Created attachment 1934334 [details]
File: dso_list

Comment 11 Mikhail 2022-12-23 23:08:47 UTC
Created attachment 1934335 [details]
File: var_log_messages

Comment 12 Mikhail 2022-12-23 23:08:48 UTC
Created attachment 1934336 [details]
File: backtrace

Comment 13 fujiwara 2023-01-04 04:46:25 UTC
I cannot reproduce your issue.
Are you still able to reproduce the same backtrace?

(In reply to Mikhail from comment #12)
> Created attachment 1934336 [details]
> File: backtrace

#0  __pthread_kill_implementation (threadid=<optimized out>, signo=signo@entry=6, no_tid=no_tid@entry=0) at pthread_kill.c:44
#1  0x00007fea7b921363 in __pthread_kill_internal (signo=6, threadid=<optimized out>) at pthread_kill.c:78
#2  0x00007fea7b8cf056 in __GI_raise (sig=sig@entry=6) at ../sysdeps/posix/raise.c:26
#3  0x00007fea7b8b887c in __GI_abort () at abort.c:79
#4  0x00007fea7b8b95b3 in __libc_message (fmt=fmt@entry=0x7fea7ba2e636 "%s\n") at ../sysdeps/posix/libc_fatal.c:150
#5  0x00007fea7b92b017 in malloc_printerr (str=str@entry=0x7fea7ba31200 "double free or corruption (fasttop)") at malloc.c:5651
#6  0x00007fea7b92cdf2 in _int_free (av=0x7fea7ba67c80 <main_arena>, p=0x5608d2c05d90, have_lock=have_lock@entry=0) at malloc.c:4525
#7  0x00007fea7b92f803 in __GI___libc_free (mem=mem@entry=0x5608d2c05da0) at malloc.c:3367
#8  0x00007fea7baba74d in XFree (data=data@entry=0x5608d2c05da0) at /usr/src/debug/libX11-1.8.1-2.fc38.x86_64/src/XlibInt.c:1633
#9  0x00005608d21dfed8 in ProcessQueue (connect_id=124, ims=0x5608d2c16690) at ../../util/IMdkit/i18nPtHdr.c:1762
#10 _Xi18nMessageHandler (ims=0x5608d2c16690, connect_id=124, p=<optimized out>, delete=<optimized out>) at ../../util/IMdkit/i18nPtHdr.c:1923
#11 0x00005608d21e1cfa in WaitXIMProtocol (dpy=<optimized out>, win=<optimized out>, ev=<optimized out>, client_data=0x5608d2c16690 " \311\036\322\bV") at ../../util/IMdkit/i18nX.c:524
#12 0x00007fea7bd8c38b in _gdk_x11_display_queue_events (display=0x5608d2ba90e0) at ../gdk/x11/gdkeventsource.c:337

Comment 14 romulasry 2023-02-03 22:43:49 UTC
Eiyuden Chronicle: Rising in Steam crashed it.


reporter:       libreport-2.17.6
type:           CCpp
reason:         ibus-x11 killed by SIGABRT
journald_cursor: s=e09d7eba979d4985b1fa1a703afb103a;i=139a0;b=755932aa55024a4c8b72142f44109cf7;m=b22f5efa;t=5f3d2c17e5d66;x=88fd2f3338558ee4
executable:     /usr/libexec/ibus-x11
cmdline:        /usr/libexec/ibus-x11
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.SettingsDaemon.XSettings.service
rootdir:        /
uid:            1000
kernel:         6.2.0-0.rc6.20230202git9f266ccaa2f5.46.fc38.x86_64
package:        ibus-1.5.27-14.fc38
runlevel:       N 5
comment:        Eiyuden Chronicle: Rising in Steam crashed it.
backtrace_rating: 4
crash_function: XFree

Comment 15 romulasry 2023-02-03 22:43:51 UTC
Created attachment 1942146 [details]
File: backtrace

Comment 16 romulasry 2023-02-03 22:48:07 UTC
Any update a few days ago broke it. It was working before?

Comment 17 romulasry 2023-02-03 22:53:29 UTC
https://retrace.fedoraproject.org/faf/reports/bthash/f9ff80f00ceb640bbebb03e1067b9d84c605d6e/

The reports was not found or is still being processed

Reports are processed every few minutes, try refreshing this site in a while.

Wtf.

Comment 18 romulasry 2023-02-03 22:54:18 UTC
I was using Proton Experimental as of today.

Comment 19 Ben Cotton 2023-02-07 15:04:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 38 development cycle.
Changing version to 38.

Comment 20 romulasry 2023-02-09 20:42:14 UTC
Latest update to rawhide fixed the crash. The only problem is that keys are getting stuck in my game.

Comment 21 romulasry 2023-02-10 02:09:57 UTC
This can be closed.

Comment 22 romulasry 2023-02-17 06:18:50 UTC
Still getting it after some (longer) time now.

Comment 23 fujiwara 2023-02-17 10:39:55 UTC
(In reply to romulasry from comment #18)
> I was using Proton Experimental as of today.

What is Proton Experimental? Can you show a URL of the site?

Can you reproduce your issue in case you don't use Proton Experimental?

Comment 24 romulasry 2023-02-17 21:33:10 UTC
(In reply to fujiwara from comment #23)
> (In reply to romulasry from comment #18)
> > I was using Proton Experimental as of today.
> 
> What is Proton Experimental? Can you show a URL of the site?
> 
> Can you reproduce your issue in case you don't use Proton Experimental?

https://github.com/ValveSoftware/Proton

https://github.com/ValveSoftware/Proton/issues/5294

I haven't tried Wine.

Comment 25 fujiwara 2023-03-16 10:42:46 UTC
Finally I can reproduce this issue.

Comment 26 fujiwara 2023-03-16 10:44:29 UTC
*** Bug 2174962 has been marked as a duplicate of this bug. ***

Comment 27 Fedora Update System 2023-03-16 10:48:06 UTC
FEDORA-2023-e0df9e598e has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-e0df9e598e

Comment 28 fujiwara 2023-03-16 15:32:44 UTC
*** Bug 2179015 has been marked as a duplicate of this bug. ***

Comment 29 Fedora Update System 2023-03-18 05:12:51 UTC
FEDORA-2023-e0df9e598e has been pushed to the Fedora 38 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-e0df9e598e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 30 Fedora Update System 2023-03-20 00:16:13 UTC
FEDORA-2023-e0df9e598e has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.